function check()
{
	if(document.shangdao.sd_password.value.length<3)
	{
	alert("修改密码不得少于3个字符。");
	document.shangdao.sd_password.focus();
	return false;
	}
	if(document.shangdao.sd_password1.value.length<3)
	{
	alert("请确认修改密码。");
	document.shangdao.sd_password1.focus();
	return false;
	}
	if (document.shangdao.sd_password.value != document.shangdao.sd_password1.value) 
	{
	window.alert('密码和验证密码不一致。');
	document.shangdao.sd_password1.focus();
	return false;
	}
	if(document.shangdao.sd_name.value=="")
	{
	alert("请填写公司名称");
	document.shangdao.sd_name.focus();
	return false;
	}
	if(document.shangdao.sd_namejx.value=="")
	{
	alert("请填写IDC简称");
	document.shangdao.sd_namejx.focus();
	return false;
	}
	if(document.shangdao.sd_url.value=="")
	{
	alert("请填写公司网址");
	document.shangdao.sd_url.focus();
	return false;
	}
	if(document.shangdao.sd_content.value=="")
	{
	alert("请填写公司介绍");
	document.shangdao.sd_content.focus();
	return false;
	}
	if(document.shangdao.sd_classid.value=="")
	{
	alert("请选择省份");
	document.shangdao.sd_classid.focus();
	return false;
	}
	if(document.shangdao.sd_dishi.value=="")
	{
	alert("请填写城市名称");
	document.shangdao.sd_dishi.focus();
	return false;
	}
	if(document.shangdao.sd_address.value=="")
	{
	alert("请填写公司地址");
	document.shangdao.sd_address.focus();
	return false;
	}
	if(document.shangdao.sd_zipcode.value=="")
	{
	alert("请填写公司当地邮编");
	document.shangdao.sd_zipcode.focus();
	return false;
	}
	if(document.shangdao.sd_lianxiren.value=="")
	{
	alert("请填写联系人");
	document.shangdao.sd_lianxiren.focus();
	return false;
	}
	if(document.shangdao.sd_tel.value=="")
	{
	alert("请填写联系电话");
	document.shangdao.sd_tel.focus();
	return false;
	}
	if(document.shangdao.sd_fax.value=="")
	{
	alert("请填写公司传真");
	document.shangdao.sd_fax.focus();
	return false;
	}
	if(document.shangdao.sd_email.value=="")
	{
	alert("请填写电子邮箱");
	document.shangdao.sd_email.focus();
	return false;
	}
	if(!/^\s*([A-Za-z0-9_-]+(\.\w+)*@(\w+\.)+\w{2,3})\s*$/ig.test(shangdao.sd_email.value))
	{  
	alert('电子邮箱格式不正确');
	document.shangdao.sd_email.focus();
	return  false
	}
	var count=document.shangdao.sd_xianlu.length;
	var j=0;
	for(var i=0;i<count;i++){
	if (document.shangdao.sd_xianlu[i].checked)
	++j;
	}
	if(j==0){
	alert("请至少选择一个主机线路");
	return false;
	}
	else{return true;
	}
	if(document.shangdao.sd_qq.value=="")
	{
	alert("请填写客服QQ");
	document.shangdao.sd_qq.focus();
	return false;
	}
return true;
}